## Interface IItemDataRenderer

Description

IItemDataRenderer interface.

IItemDataRenderer defines the interface that an item renderer needs to implement. Besides the Data property, a list item renderer also needs to provide ItemIndex and ItemType property.

- since: 3.1.0
- version: $Id: TDataBoundControl.php 1849 2007-04-09 02:44:50Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataBoundControl.php (line 556)

    IDataRenderer
       |
       --IItemDataRenderer

Method Summary
integer getItemIndex ()
TListItemType getItemType ()
void setItemIndex (integer $value)
void setItemType (TListItemType $value)
Methods
getItemIndex (line 563)

Returns a value indicating the zero-based index of the item in the corresponding data control's item collection.

If the item is not in the collection (e.g. it is a header item), it returns -1.

- return: zero-based index of the item.
- access: public

integer getItemIndex ()
getItemType (line 575)

- return: the item type.
- access: public

TListItemType getItemType ()
setItemIndex (line 570)

Sets the zero-based index for the item.

If the item is not in the item collection (e.g. it is a header item), -1 should be used.

- access: public

void setItemIndex (integer $value)

- integer $value: zero-based index of the item.

setItemType (line 580)

- access: public

void setItemType (TListItemType $value)

- TListItemType $value: the item type.

#### Inherited Methods

Inherited From IDataRenderer

> IDataRenderer::getData()
> IDataRenderer::setData()

Documentation generated on Mon, 21 Apr 2008 11:34:18 -0400 by phpDocumentor 1.3.0RC4